/// <reference types="knockout" />
import { InputElement, InputElementOptions, InputElementType } from "../../framework/inputElement";
export interface TextBoxOptions extends InputElementOptions<string> {
    text?: string | KnockoutObservable<string>;
    valueUpdateMode?: TextBoxValueUpdateMode;
}
export declare type TextBoxValueUpdateMode = "OnLostFocus" | "OnKeyPress";
export declare class TextBox extends InputElement<string> {
    constructor(options?: TextBoxOptions, elementType?: string, inputElementType?: InputElementType);
    build(): void;
    private text;
    private innerSetText;
    getText(): string;
    setText(text: string, triggerChange?: boolean): void;
    readonly options: TextBoxOptions;
}
