/// <reference types="knockout" />
import { UiElement } from "../framework/uiElement";
import { Style } from "../style/style";
export interface DialogOptions {
    title?: string | UiElement;
    titleStyle?: Style;
    content?: UiElement;
    contentStyle?: Style;
    actions?: Array<DialogAction> | KnockoutObservableArray<DialogAction>;
    actionsStyle?: Style;
}
export declare class Dialog {
    constructor(options?: DialogOptions);
    private element;
    open(): void;
    close(): void;
    title: string | UiElement;
    content: UiElement;
    actions: Array<DialogAction> | KnockoutObservableArray<DialogAction>;
}
export interface DialogAction {
    caption: string | UiElement;
    onexecute: () => Promise<boolean> | boolean;
    closeOnFail?: boolean;
}
